Package: org.codehaus.groovy.runtime

## [Java] Class XmlGroovyMethods

- org.codehaus.groovy.runtime.XmlGroovyMethods

- This class defines all the new XML-related groovy methods which enhance the normal JDK XML classes when inside the Groovy environment. Static methods are used with the first parameter the destination class.

  Authors:
    Paul King
    Jochen Theodorou

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Iterator<Node>` | `iterator(NodeList nodeList)` Makes NodeList iterable by returning a read-only Iterator which traverses over each Node.
    `` | `static String` | `serialize(Element element)` Transforms the element to its text equivalent.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public static Iterator<Node> iterator(NodeList nodeList)

      Makes NodeList iterable by returning a read-only Iterator which traverses over each Node.

      Parameters:
        `nodeList` - a NodeList
      Returns:
        an Iterator for a NodeList
      Since:
        1.0

    - #### public static String serialize(Element element)

      Transforms the element to its text equivalent. (The resulting string does not contain a xml declaration. Use `XmlUtil.serialize(element)` if you need the declaration.)

      Parameters:
        `element` - the element to serialize
      Returns:
        the string representation of the element
      Since:
        2.1